Bug 834055 - Munin updates changing permissions, conflicts with what munin-check does
Munin updates changing permissions, conflicts with what munin-check does
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: munin (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 14:01 EDT by alex
Modified: 2012-09-26 17:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-26 05:00:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description alex 2012-06-20 14:01:00 EDT
Description of problem: Hi I was directed here to report this bug. This occurs during the most recent update to munin and it's components, 0:1.4.7-5.el6. After updating, the munin-check script shows the following errors in permissions:

# /var/lib/munin/plugin-state : Wrong owner (munin != nobody)
# /var/lib/munin/plugin-state : Wrong permissions (755 != 775)

The reason this came up and the reason I even know about the munin-check script is because CentOS 6 fresh munin installs were not reporting the statistics that they should have been. The primary one that I noticed was Disk I/O. Running "munin-check -f" solves this issue, but I'm not sure if this is a bug in the munin-check script or with the munin install itself.


Version-Release number of selected component (if applicable):
0:1.4.7-5.el6

How reproducible:
Fresh install of munin on CentOS 6.2, or an update to the most current version. Then running "munin-check".


Steps to Reproduce:
1.Install munin, make sure that it can start up correctly and the apache page is available. This may not be entirely necessary, but it did help me identify which items were reporting and which were not.
2. Run "munin-check"
3.
  
Actual results:
# /var/lib/munin/plugin-state : Wrong owner (munin != nobody)
# /var/lib/munin/plugin-state : Wrong permissions (755 != 775)

Expected results:
Expected the output to be the same as it is after "munin-check -f" which fixes the permissions.


Additional info:
Comment 1 Fedora Update System 2012-08-07 00:19:35 EDT
munin-2.0.4-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.4-3.fc17
Comment 2 Fedora Update System 2012-08-07 00:33:20 EDT
munin-2.0.4-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.4-3.fc16
Comment 3 Fedora Update System 2012-08-07 00:34:41 EDT
munin-2.0.4-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.4-3.el6
Comment 4 Fedora Update System 2012-08-07 00:44:15 EDT
munin-2.0.4-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.4-3.el5
Comment 5 Fedora Update System 2012-08-08 14:32:12 EDT
Package munin-2.0.4-3.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing munin-2.0.4-3.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6640/munin-2.0.4-3.el5
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-08-14 14:37:05 EDT
munin-2.0.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.5-1.fc17
Comment 7 Fedora Update System 2012-08-14 14:53:38 EDT
munin-2.0.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.5-1.fc16
Comment 8 Fedora Update System 2012-08-14 15:00:24 EDT
munin-2.0.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.5-1.el6
Comment 9 Fedora Update System 2012-08-19 21:52:25 EDT
munin-2.0.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.5-2.fc17
Comment 10 Fedora Update System 2012-08-19 21:53:56 EDT
munin-2.0.5-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.5-2.fc16
Comment 11 Fedora Update System 2012-08-20 00:12:23 EDT
munin-2.0.5-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.5-3.el5
Comment 12 Fedora Update System 2012-08-20 00:12:32 EDT
munin-2.0.5-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.5-3.el6
Comment 13 Fedora Update System 2012-09-01 09:01:49 EDT
munin-2.0.6-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.6-1.fc17
Comment 14 Fedora Update System 2012-09-01 09:46:19 EDT
munin-2.0.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.6-1.fc16
Comment 15 Fedora Update System 2012-09-01 15:41:42 EDT
munin-2.0.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.6-1.el6
Comment 16 Fedora Update System 2012-09-01 16:14:14 EDT
munin-2.0.6-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.6-1.el5
Comment 17 Fedora Update System 2012-09-08 02:40:26 EDT
munin-2.0.6-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.6-2.fc17
Comment 18 Fedora Update System 2012-09-08 03:27:50 EDT
munin-2.0.6-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.6-2.fc16
Comment 19 Fedora Update System 2012-09-08 03:41:18 EDT
munin-2.0.6-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.6-2.el6
Comment 20 Fedora Update System 2012-09-08 03:54:04 EDT
munin-2.0.6-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.6-2.el5
Comment 21 Fedora Update System 2012-09-26 05:00:54 EDT
munin-2.0.6-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2012-09-26 05:07:57 EDT
munin-2.0.6-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2012-09-26 17:34:40 EDT
munin-2.0.6-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2012-09-26 17:37:32 EDT
munin-2.0.6-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.